| QxOrm 1.2.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Friends
qx::QxBoostSerializeRegisterHelperX Class Reference

`#include <QxBoostSerializeRegisterHelperX.h>`

Inheritance diagram for qx::QxBoostSerializeRegisterHelperX:

List of all members.

## Public Member Functions
void | add (const QString &sKey, IxBoostSerializeRegisterHelper *p)
void | remove (const QString &sKey)
## Static Public Member Functions
template<class Archive >
static void | helper (Archive &ar)
static void | helper ()
## Private Member Functions
| QxBoostSerializeRegisterHelperX ()
virtual | ~QxBoostSerializeRegisterHelperX ()
template<class Archive >
void | private_helper (Archive &ar) const
void | private_helper () const
## Private Attributes
QxCollection< QString, IxBoostSerializeRegisterHelper * > | m_colHelperX
QMutex | m_oMutexHelperX
## Friends
class | QxSingleton< QxBoostSerializeRegisterHelperX >
class | IxBoostSerializeRegisterHelper

## Detailed Description

Definition at line 52 of file QxBoostSerializeRegisterHelperX.h.

## Constructor & Destructor Documentation

qx::QxBoostSerializeRegisterHelperX::QxBoostSerializeRegisterHelperX | ( |  | ) | `[inline, private]`

Definition at line 63 of file QxBoostSerializeRegisterHelperX.h.

virtual qx::QxBoostSerializeRegisterHelperX::~QxBoostSerializeRegisterHelperX | ( |  | ) | `[inline, private, virtual]`

Definition at line 64 of file QxBoostSerializeRegisterHelperX.h.

## Member Function Documentation

void qx::QxBoostSerializeRegisterHelperX::add | ( | const QString & | sKey,
|  | IxBoostSerializeRegisterHelper * | p
| ) |  |

template<class Archive >

static void qx::QxBoostSerializeRegisterHelperX::helper | ( | Archive & | ar | ) | `[inline, static]`

Definition at line 72 of file QxBoostSerializeRegisterHelperX.h.

static void qx::QxBoostSerializeRegisterHelperX::helper | ( |  | ) | `[inline, static]`

Definition at line 79 of file QxBoostSerializeRegisterHelperX.h.

template<class Archive >

void qx::QxBoostSerializeRegisterHelperX::private_helper | ( | Archive & | ar | ) | const`[inline, private]`

Definition at line 89 of file QxBoostSerializeRegisterHelperX.h.

void qx::QxBoostSerializeRegisterHelperX::private_helper | ( |  | ) | const`[inline, private]`

Definition at line 99 of file QxBoostSerializeRegisterHelperX.h.

void qx::QxBoostSerializeRegisterHelperX::remove | ( | const QString & | sKey | ) |

## Friends And Related Function Documentation

friend class IxBoostSerializeRegisterHelper`[friend]`

Definition at line 56 of file QxBoostSerializeRegisterHelperX.h.

friend class QxSingleton< QxBoostSerializeRegisterHelperX >`[friend]`

Definition at line 55 of file QxBoostSerializeRegisterHelperX.h.

## Member Data Documentation

QxCollection<QString, IxBoostSerializeRegisterHelper *> qx::QxBoostSerializeRegisterHelperX::m_colHelperX`[private]`

Definition at line 60 of file QxBoostSerializeRegisterHelperX.h.

QMutex qx::QxBoostSerializeRegisterHelperX::m_oMutexHelperX`[private]`

Definition at line 61 of file QxBoostSerializeRegisterHelperX.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxSerialize/QxBoostSerializeHelper/QxBoostSerializeRegisterHelperX.h